Subject: bug#10169: closed (Re: bug#10169: a simple interrupt evokes abort?! (but only with (require 'saveplace)))

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Dec 2011 18:43:02 +0000

Your bug report

#10169: a simple interrupt evokes abort?! (but only with (require 'saveplace))

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10169: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10169
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10169: a simple interrupt evokes abort?! (but only with (require 'saveplace))
From: Andreas Schwab <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: Paul Eggert <[email-masked]>, [email-masked], Jim Meyering <[email-masked]>
Date: Thu, 01 Dec 2011 19:42:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Should be fixed now.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."

Subject: a simple interrupt evokes abort?! (but only with (require 'saveplace))
From: Jim Meyering <[email-masked]>
To: [email-masked]
Date: Wed, 30 Nov 2011 13:24:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When I edit any file and interrupt emacs, I get an abort, in src/eval.c:

  if (gc_in_progress || waiting_for_input)
    abort ();

waiting_for_input is 1.

However, that happens only when using my .emacs file.
When I use -q, e.g., "touch /tmp/x; emacs -q /tmp/x" there is no abort.

Bisecting ~/.emacs, I found the culprit:

  (require 'saveplace)

without that line, there is no problem.

So anyone can reproduce it by running this and then hitting ^C:

  $ touch /tmp/k; emacs -q --eval "(require 'saveplace)" /tmp/k
  ^CFatal error (6)zsh: abort (core dumped)  emacs -q --eval "(require\
    'saveplace)" /tmp/k
  [Exit 134 (ABRT)]